# Functor Pretty.MakeSetPrinter

    module MakeSetPrinter: functor (Set : sigtype elt

    type t

    val fold : (elt -> 'a -> 'a) ->
           t -> 'a -> 'aend) -> sig .. end

Format sets.

Parameters:

`Set` | : | `sig type elt type t val fold : (elt -> 'a -> 'a) -> t -> 'a -> 'a end`

    val docSet : ?sep:Pretty.doc -> (Set.elt -> Pretty.doc) -> unit -> Set.t -> Pretty.doc

Format a set, analogous to docList.

    val d_set : string -> (unit -> Set.elt -> Pretty.doc) -> unit -> Set.t -> Pretty.doc

Format a set, analogous to d_list.